Eclipse plugin - usable?

classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|

Eclipse plugin - usable?

Edward Povazan
Hello,

Is anyone using the Eclipse plugin for serious work? I installed the
plugin and copied previous versions of GroovyProject and
IncrementalGroovyBuilder as the current ones have errors. It built
without errors.

I started a new project, and after adding a few packages/classes I get:
"An internal error occurred during: "Building workspace""
and huge stack trace ...
java.lang.AssertionError: true
     at groovy.lang.GroovyClassLoader.loadClass(GroovyClassLoader.java:622)
     at java.lang.ClassLoader.loadClass(Unknown Source)
     at org.codehaus.groovy.syntax.ASTHelper.resolveName(ASTHelper.java:201)
...
...
...
     at
org.eclipse.core.internal.events.AutoBuildJob.run(AutoBuildJob.java:200)
     at org.eclipse.core.internal.jobs.Worker.run(Worker.java:76)

Is this common or perhaps my installation is not correct?
The error occurs when using a Groovy class which is defined in another
package. There is no problem with Java classes declared in other packages.

Any idea why does the most recent commit of GroovyProject and
IncrementalGroovyBuilder contain errors? The errors are of the form
"classNode.getType().getName()" but I can't find any reference of a
getType() method anywhere in any version of Groovy.

Thanks
-Ed